kvkd(1)

NAME

kvkd - LibChipCard's daemon for German medical card support

SYNOPSIS

kvkd
 [ -C configfile ]
 [ -d destdir ]
 [ -f ]
 [ --logfile file ]
 [ --logtype type ]
 [ --loglevel level ]
 [ --nobeep ]
 [ --beeps BEEPS ]

DESCRIPTION

This is the LibChipCard daemon for German medical cards. It is intended to be used on top of chipcardd to improve support for such cards. In normal cases kvkd does not need any root privileges in order to run. So running as root is not recommended.

OPTIONS

-C configfile
    Use the given configuration file. If omitted, the file /usr/local/etc/chipcardd.conf is used.

-h  Output help information and exit.

-d destdir
    Use the directory destdir to store the card data that is read.

-nobeep
    Disable beeping. Normally the KVKd beeps after reading a card: Once: Card reading ok, data saved Twice: Read error, please try again Three or more times: Severe error, which might require the administrator. This can be an error like "disc full", "card unreadable" or "card not recognized as medical card".

-beeps BEEPS
    Set the number of beeps to send if there is a major error, like "disc full" or "unreadable card". Normally ths would require the administrator to look after the machine, so this should be an annoying number. Default is 6.

-f  Don't fork to background. If you give this option then kvkd will not fork but rather stay in foreground. If omitted (and your system supports it) the daemon will fork itself into background.

--logfile logfile
    Use the given file to store the log messages. It defaults to ./kvkd.log. This only applies if the logtype is file (see below).

--logtype logtype
    Use the given log type. Currently the following logtypes are supported: stderr, file and syslog. Default is syslog.

--loglevel loglevel
    Sets the loglevel. Valid levels are: emergency, alert, critical, error, warning, notice, info, and debug. Default is notice.

FILES

/usr/local/etc/chipcardc.conf

ENVIRONMENT VARIABLES

The kvkd does not use any environment variables.

AUTHORS

Martin Preuss <martin@libchipcard.de>

SEE ALSO

libchipcard.conf(5) chipcardc.conf(5) chipcardd(1)